<schema xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:num="http://www.xbrl.org/dtr/type/numeric" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" xmlns:COMPA="https://www.transelectrica.ro" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xbrli="http://www.xbrl.org/2003/instance" targetNamespace="https://www.transelectrica.ro" xmlns="http://www.w3.org/2001/XMLSchema">
  <import schemaLocation="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor.xsd" namespace="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor" />
  <import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <import schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/linkbase" />
  <import schemaLocation="http://www.xbrl.org/2006/xbrldi-2006.xsd" namespace="http://xbrl.org/2006/xbrldi" />
  <import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <import schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd" namespace="http://www.xbrl.org/dtr/type/non-numeric" />
  <import schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd" namespace="http://www.xbrl.org/dtr/type/numeric" />
  <annotation>
    <appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="254900OLXCOUQC90M036-2022-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="254900OLXCOUQC90M036-2022-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="254900OLXCOUQC90M036-2022-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-lab-ro.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="254900OLXCOUQC90M036-2022-12-31_lab-ro.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="254900OLXCOUQC90M036-2022-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:roleType roleURI="https://www.transelectrica.ro/role/BalanceSheet" id="BalanceSheet">
        <link:definition>BalanceSheet</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://www.transelectrica.ro/role/CashFlow" id="CashFlow">
        <link:definition>CashFlow</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://www.transelectrica.ro/role/ChangesinEquity" id="ChangesinEquity">
        <link:definition>ChangesinEquity</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://www.transelectrica.ro/role/ComprehensiveIncome" id="ComprehensiveIncome">
        <link:definition>ComprehensiveIncome</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://www.transelectrica.ro/role/GeneralInformation" id="GeneralInformation">
        <link:definition>GeneralInformation</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://www.transelectrica.ro/role/IncomeStatement" id="IncomeStatement">
        <link:definition>IncomeStatement</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="https://www.transelectrica.ro/role/Anchoring" id="Anchoring">
        <link:definition>Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </appinfo>
  </annotation>
  <element name="AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossSundryDebtors" id="COMPA_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossSundryDebtors" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <element name="AdjustmentsForWritteOffOfSundryDebtors" id="COMPA_AdjustmentsForWritteOffOfSundryDebtors" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <element name="BalancingMarketExpense" id="COMPA_BalancingMarketExpense" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <element name="BalancingMarketRevenues" id="COMPA_BalancingMarketRevenues" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <element name="BasicAndDilutedEarningsPerShare" id="COMPA_BasicAndDilutedEarningsPerShare" type="num:perShareItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:periodType="duration" />
  <element name="ImpairmentExpenseTradeReceivables" id="COMPA_ImpairmentExpenseTradeReceivables" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <element name="IncomeFromProductionOfIntangibleAssetsSupplementalOTC" id="COMPA_IncomeFromProductionOfIntangibleAssetsSupplementalOTC" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <element name="LegalReserves" id="COMPA_LegalReserves" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="instant" />
  <element name="MaterialAndConsumableExpense" id="COMPA_MaterialAndConsumableExpense" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <element name="OtherComponentsSoce" id="COMPA_OtherComponentsSoce" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <element name="ProceedsFromShortTermBorrowingsSmartCreditLine" id="COMPA_ProceedsFromShortTermBorrowingsSmartCreditLine" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <element name="ProceedsFromShortTermBorrowingsWorkingCapitalCreditLine" id="COMPA_ProceedsFromShortTermBorrowingsWorkingCapitalCreditLine" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <element name="RepaymentsOfBorrowingsLongTerm" id="COMPA_RepaymentsOfBorrowingsLongTerm" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <element name="SystemOperationExpense" id="COMPA_SystemOperationExpense" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <element name="SystemServicesExpense" id="COMPA_SystemServicesExpense" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <element name="SystemServicesIncome" id="COMPA_SystemServicesIncome" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <element name="TaxLiabilitiesAndSocialContributions" id="COMPA_TaxLiabilitiesAndSocialContributions" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="instant" />
  <element name="TotalOtherComponents" id="COMPA_TotalOtherComponents" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <element name="TransmissionIncome" id="COMPA_TransmissionIncome" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
</schema>